<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/aml_info/draw_parser.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
.textRainbow_lv0_p2 { color: #add8e6; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>04/25/85  draw_parser
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>Syntax:  draw_parser result_file_path <span class="textRainbow_lv0_p2">{</span>control_args<span class="textRainbow_lv0_p2">}</span>
<span id="L4" class="LineNr"> 4 </span>
<span id="L5" class="LineNr"> 5 </span>
<span id="L6" class="LineNr"> 6 </span>Function:  draws a diagram of the parser <span class="textRainbow_lv0_p0">(</span>DPDA<span class="textRainbow_lv0_p0">)</span> generated by the
<span id="L7" class="LineNr"> 7 </span>   lalr command.
<span id="L8" class="LineNr"> 8 </span>
<span id="L9" class="LineNr"> 9 </span>Arguments:
<span id="L10" class="LineNr">10 </span>result_file_path
<span id="L11" class="LineNr">11 </span>   is the pathname of the result file.  The grammar suffix is
<span id="L12" class="LineNr">12 </span>   assumed if not supplied.  This argument may be an archive
<span id="L13" class="LineNr">13 </span>   component pathname.
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>Control arguments:
<span id="L17" class="LineNr">17 </span>-line_length N, -ll N
<span id="L18" class="LineNr">18 </span>   prints the diagram of the DPDA so that lines contain no more
<span id="L19" class="LineNr">19 </span>   than N characters.  If this control argument is not
<span id="L20" class="LineNr">20 </span>   specified, the line length of user_output is used.
<span id="L21" class="LineNr">21 </span>-page_length N, -pl N
<span id="L22" class="LineNr">22 </span>   prints the diagram of the DPDA so that no more than N lines
<span id="L23" class="LineNr">23 </span>   are on a page.  If this control argument is not specified, a
<span id="L24" class="LineNr">24 </span>   page length of 1020 lines is assumed.
<span id="L25" class="LineNr">25 </span>
<span id="L26" class="LineNr">26 </span>
<span id="L27" class="LineNr">27 </span>Notes:
<span id="L28" class="LineNr">28 </span>The output is directed to the user_output I/O switch.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
